Subject: Re: [MOBILE-IP] DAD

From: "Powell, Ken" <[email-masked]>
Date: Tue, 14 Nov 2000 12:41:20 -0500

A node normally runs DAD only when creating a new address when
attached directly to its home subnet. The specific case that
was of concern occurs when a binding is dropped for a valid
address on the home network that already passed DAD. When the
binding gets re-created, the mobile node does not create a new
address, it reuses the old one. I believe the spec was ambiguous
in that its not clear how to apply the rules for running DAD in
this situation. The mobile ipv6 spec didn't say anything special.

I tracked down the applicable statement in RFC 2462 section 5.4
on when DAD should be run.

   Duplicate Address Detection is performed on unicast addresses prior
   to assigning them to an interface whose DupAddrDetectTransmits
   variable is greater than zero. Duplicate Address Detection MUST take
   place on all unicast addresses, regardless of whether they are
   obtained through stateful, stateless or manual configuration,...

   <snip>

   It should also be noted that Duplicate Address Detection must be
   performed prior to assigning an address to an interface in order to
   prevent multiple nodes from using the same address simultaneously.

I think the definition of what it means to assign an address to
an interface is a bit fuzzy with mobility. I see no harm in
clarifying the rules on how home address bindings, or lack
thereof, impact DAD.

Ken

> -----Original Message-----
> From: Francis Dupont [mailto:[email-masked]]
> Sent: Tuesday, November 14, 2000 8:02 AM
> To: Powell, Ken
> Cc: [email-masked]
> Subject: Re: [MOBILE-IP] DAD
>
>
>  In your previous mail you wrote:
>
>      The home agent will only defend against a duplicate
>      address when there is a binding with the mobile node.
>      Therefore, the mobile node MUST treat creation of a
>      new binding with the home agent using an existing home
>      address the same as creation of a new home address.
>
> => I can't see the difference between this and the current spec.
>
>    > On page 22, the current specification says:
>    >
>    >          ...      The mobile node SHOULD set the
> Duplicate Address
>    >          Detection (D) bit based on any requirements for
> Duplicate
>    >          Address Detection that would apply to the
> mobile node if it
>    >          were at home [17, 27].
>
> => when a node is attached again to a link with an existing address
> (this can imply static configuration which is used for
> routers for instance)
> then it should perform a DAD. For a mobile node this gives
> the "new binding
> using an existing home address", doesn't this?
>
> Regards
>
> [email-masked]
>

---

From: Francis Dupont <[email-masked]>
Date: Wed, 15 Nov 2000 08:58:00 +0100

address, it reuses the old one.

=> for me to re-creat a binding or to re-assign an address to an interface
is the same thing. The re- is covered by the manual configuration case
(which is a common way to re-use the same address in the RFC 2462 context).
But the question is: this is obvious or this needs clarification?

   I think the definition of what it means to assign an address to
   an interface is a bit fuzzy with mobility.

=> perhaps this is the point which needs clarification. I believe
for a mobile node to assign an address to an interface attached to
the home link or to perform a new home registration (ie. to create
a new binding with a home agent, new is relative to the home address
not the care-of) are the same thing.

Regards